﻿<AML>
 <Item type="Method" id="135A0E16D7644A7A8DB85AFA47EC05E6" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			sop_so_details_delete_row
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	When delete row in Detail,
	-Calculate Sub Amount,GST Amount and Total Amount.
	-Set sub amount,gst amount and total amount to pop_sub_amount,pop_gst_amount,pop_total_amount.
	
Hooks:
	Type:	RelationshipType	:	pop_invoice_service_details
	Event:	Grid Event ( OnEditFinish )
	
	Type:	RelationshipType	:	pop_invoice_service_part
	Event:	Grid Event ( OnEditFinish )
	
	Type:	RelationshipType	:	pop_purchase_invoice_details
	Event:	Grid Event ( OnEditFinish )
	
	Type:	RelationshipType	:	sop_sale_order_details
	Event:	Grid Event ( OnEditFinish )
	
	Type:	RelationshipType	:	sop_so_service
	Event:	Grid Event ( OnEditFinish )
	
	Type:	RelationshipType	:	sop_so_service_part
	Event:	Grid Event ( OnEditFinish )
	
	
Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */

//debugger;
var thisItem = parent.thisItem;
//get by yyk for currency calculate
var poi_currency = parent.thisItem.getProperty("pop_currency");
var poi_rate = parent.thisItem.getProperty("pop_currency_rate");
var poi_operator = parent.thisItem.getProperty("pop_currency_operator");
var q_sub = parent.thisItem.getProperty("pop_sub_amount");
var q_tot = parent.thisItem.getProperty("pop_total_amount");
var q_gst = parent.thisItem.getProperty("pop_gst_amount");
var gst_percent = parent.thisItem.getProperty("pop_gst_percent");

var gst_percent_decimal = parseFloat(gst_percent) / 100;

var y = parseFloat(q_sub);
var g = parseFloat(q_gst);

var child = thisItem.getItemsByXPath("//Item[@id = '" + relationshipID + "']").getItemByIndex(0);
var x1 = child.getProperty("stk_total_amount");
var x = parseFloat(x1);

if (y > 0 && x > 0) {
    var sub_amount = (y - x);
    myHandleItemChange("pop_sub_amount", sub_amount);
    var gst_amount = (sub_amount * gst_percent_decimal);
    myHandleItemChange("pop_gst_amount", gst_amount.toFixed(2));
    var total_amount = (sub_amount + gst_amount);
    myHandleItemChange("pop_total_amount", total_amount.toFixed(2));
}

function myHandleItemChange(property, value) {
    if (top.instance.document) {

        top.instance.handleItemChange(property, value);
    } else {

        top.frames[1].handleItemChange(property, value);
    }
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>sop_so_details_delete_row</name>
 </Item>
</AML>